# ReportingBasePluginConvention

API Documentation: | `ReportingBasePluginConvention`

Note: This class is deprecated and will be removed in the next major version of Gradle.

A `BasePluginConvention` defines the convention properties and methods used by the `ReportingBasePlugin`.

This convention has been deprecated. Use the reporting extension instead:

    reporting {
        baseDir "the-reports"
    }

### Properties

Property | Description
`apiDocTitle` | The title for API documentation for the project.
`reportsDir` | The directory containing all reports for this project.
`reportsDirName` | The name of the reports directory, relative to the project's build directory.

### Property details

#### `String` `apiDocTitle` (read-only)

The title for API documentation for the project.

Default with `java` plugin:
  ``${project.name}` `{project.version}` API`

#### `File` `reportsDir` (read-only)

The directory containing all reports for this project.

Default with `java` plugin:
  ``${project.buildDir}`/`${project.reportsDirName}``

#### `String` `reportsDirName`

The name of the reports directory, relative to the project's build directory.

Default with `java` plugin:
  `'reports'`

### Script blocks

No script blocks

### Methods

No methods